// Include RadioHead Amplitude Shift Keying Library
#include <RH_ASK.h>
// Include dependant SPI Library 
#include <SPI.h> 
 
// Define output strings
 
String str_humid;
String str_temp1;
String str_press;
String str_temp2;
String str_out;
 
// Create Amplitude Shift Keying Object
RH_ASK rf_driver;
 
void setup()
{
    // Initialize ASK Object
    rf_driver.init();
    // Setup Serial Monitor
    Serial.begin(9600);
    Serial.println("init good");
}
 
void loop()
{
    // Set buffer to size of expected message
    uint8_t buf[17];
    uint8_t buflen = sizeof(buf);
    if (rf_driver.recv(buf, &buflen))
    {
      str_out = String((char*)buf);
      Serial.print(str_out.substring(0, 7));
      Serial.print(":");
      Serial.print(str_out.substring(7, 12));
      Serial.print(":");
      Serial.println(str_out.substring(12, 17));
    }      
}
